pkgs: final: prev:

let
  # NOTE: For some reason --fs-screen-name and --screen-name are not in
  #       0.33.1. So wait and then remove this.
  mpv-git = prev.mpv-unwrapped.overrideAttrs (old: {
    version = "0.34.0";
    src = builtins.fetchGit {
      url = "https://github.com/mpv-player/mpv.git";
      ref = "master";
      rev = "0b56e1c00a57fdb767674462c299a5c973a9e373";
    };
    patches = [];
  });
in {
  mpv = prev.wrapMpv mpv-git {
    # Prevent the need for prefixing mpv with DRI_PRIME=1
    extraMakeWrapperArgs = [
      "--set" "DRI_PRIME" "1"
    ];
  }; 

  gajim = prev.gajim.overrideAttrs (old: {
    # Enable notification sounds
    propagatedBuildInputs = old.propagatedBuildInputs ++ [ prev.gsound ];
  });

  animedl = prev.animedl.overrideAttrs (old: {
    extraPkgs = pkgs: with pkgs; [ mpv ];
  });
}
